/*
 * smtp_d - sample SMTP server
 */
#include <rtos.h>
#include <net.h>
#include <smtpd.h>

void userproc( char *from, char *to, char *subject)
{
    printf("got message from '%s' to '%s'\nwith subject '%s'\n", from, to, subject );
}

main()
{
    int i;

    kdebug = 1;
    rt_init(100);
    kpreemptive = 1;        /* enable pre-emptive multithreading */
    sock_init();            /* initialize network */

    cputs("starting...\r\n");
#define SMTPD 5
    for ( i = 0 ; i < SMTPD ; ++i )
        rt_newthread( smtpdthread, (DWORD)&userproc, 2048, 0, "smtpd worker" );
    do {
        /* nothing */
        rt_yield();
    } while ( 1 );
}


